PTEKF(1)

NAME
ptekf - pTeX-enc Kanji Filter

SYNOPSIS

ptekf [options] [--] in_file1 [in_file2 ...]

ptekf --help | --version

DESCRIPTION
ptekf is a simple character encoding converter for input/output files of pTeX-family programs. This utility can be used to check procedures of character encoding conversion and guessing encoding which are impremented in pTeX-family i.e. (e)(u)ptex, (u)pbibtex, mendex and so on.

OPTIONS

-j  Specify output encoding ISO-2022-JP.

-s  Specify output encoding Shift_JIS.

-e  Specify output encoding EUC-JP.

-u  Specify output encoding UTF-8.

-J  Specify input encoding ISO-2022-JP.

-S  Specify input encoding Shift_JIS.

-E  Specify input encoding EUC-JP.

-U  Specify input encoding UTF-8.

-g  --guess
    Guess the input encoding (no conversion).

-G  Guess the input encoding and output to stdout or files.

-b  --buffer
    Output internal buffer without code conversion.

-v  --version
    Print version number.

-h  --help
    Print help message.

Default input/output encoding depends on kpathsearch parameters PTEX_KANJI_ENC and guess_input_kanji_encoding.

SEE ALSO
eptex(1), euptex(1), pbibtex(1), upbibtex(1), mendex(1)

AUTHOR
This manual page was written by Japanese TeX Development Community <https://texjp.org>. For more information, see GitHub repository <https://github.com/texjporg/tex-jp-build>.